# Lenovo s340 & s540 Big Sur OpenCore 

![alt tag](https://i.ibb.co/RzW810W/Lenovo.png "Lenovo s340")​

## SYSTEM

|||
|----------------|------------------------------------------------------------|
|Processor:| Intel Core  i5-8265U (Whiskey Lake) |
|Memory:          |4GB Soldered + 4gb  |         
|Graphics:         |Integrated Intel UHD Graphics 620|
|Wireless Network:          |Broadcom BCM94322|
|Audio:        |Realtek ALC257 |
|Camera:          |Inbuilt|

# Tested on bigsur beta 11.1 (20c5048k)
# For automatic updates use "SecureBootModel=Disabled" in the config.plist


## What's working:
  - Wi-Fi/Bluetooth (Broadcom BCM94322) :white_check_mark:
  - USB Ports, USB-C :white_check_mark:
  - Keyboard :white_check_mark:
  - Trackpad, gestures. :white_check_mark:
  - Audio, Headphones :white_check_mark:
  - Internal graphics with fill acceleration. :white_check_mark:
  - Control brightness, sound and touchpad via keyboard keys :white_check_mark:
  - Sleep :white_check_mark:
  - Sleep and Wake with Lid Open and Close :white_check_mark:
  - Battery Status :white_check_mark:
  - Inbuilt Camera :white_check_mark:
  - CPU & Fan Control :white_check_mark:
  - Handoff :white_check_mark:
  - HIDPI (Make use of [one key hidpi](https://github.com/xzhih/one-key-hidpi "") with [instruction](https://github.com/xzhih/one-key-hidpi/issues/138 "")) :white_check_mark:
  - If suddenly the headphones sound does not work after waking up, [click.](https://drive.google.com/file/d/1CZtY2bfnIAD0Rcoczf5b9F2TR8YYlhZc/view?usp=sharing"") :white_check_mark:

## What's Not Working:
  - ~~Card reader. :bangbang:~~ (Fixed) :white_check_mark:
  - ~~HDMI :bangbang:~~ (Fixed, like clockwork) :white_check_mark:


## SCEENSHOTS:
![alt tag](https://i.ibb.co/Sf6wDQ4/2020-09-06-20-26-03.png "Lenovo s340")​
![alt tag](https://i.ibb.co/Gn9V3Bv/2020-09-06-15-43-19.png "Lenovo s340")​
![alt tag](https://i.ibb.co/yV2Bm52/2020-09-06-15-31-36.png "Lenovo s340")​
![alt tag](https://i.ibb.co/qYw7wxc/2020-09-12-16-41-27.png "Lenovo s540")​
![alt tag](https://i.ibb.co/F638wS9/2020-09-20-15-50-50.png "Lenovo s540")​
![alt tag](https://i.ibb.co/D81QLPN/2020-09-20-15-50-03.png "Lenovo s540")​
![alt tag](https://i.ibb.co/1G9LWqy/2020-09-12-16-32-25.png "Lenovo s540")​
![alt tag](https://i.ibb.co/vXngzVJ/2020-09-12-16-45-54.png "Lenovo s540")​
![alt tag](https://i.ibb.co/SwCYHfc/2020-09-06-20-25-12.png "Lenovo s340")​
![alt tag](https://i.ibb.co/4Trqj3x/2020-09-08-18-33-51.png "Lenovo s540")​
![alt tag](https://i.ibb.co/PFBLX0J/2020-09-20-16-01-11.png "Lenovo s540")​





